Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000118Bananian Linux[All Projects] Userlandpublic2015-03-28 17:332015-08-08 14:50
Reporterjekader 
Assigned ToNico 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version15.01 
Target Version15.08Fixed in Version15.08 
Summary0000118: package swconfig as a .deb file
Descriptionswconfig is part of bananian yet it is not in the repository and the binaries are not part of any package.

This issue is created to track packaging and including this into bananian (and eventually debian)
Steps To Reproduceroot@bananapi:~# which swconfig
/usr/local/bin/swconfig
root@bananapi:~# dpkg -S /usr/local/bin/swconfig
dpkg-query: no path found matching pattern /usr/local/bin/swconfig
TagsNo tags attached.
Attached Files

- Relationships
related to 0000012resolvedNico Kernel Update Script and other stuff as an apt repository 
related to 0000124resolvedNico package bananian-update as a .deb file 

-  Notes
(0000192)
Nico (manager)
2015-04-04 13:45

all packaging will be done within the next release.
15.04 will only introduce the repository.
(0000198)
jekader (reporter)
2015-04-04 14:10

I can help with packaging if needed. First I think we should streamline the build a bit - put all sources into the same repo and adjust build scripts so that "make install" is enough to produce the binary.

When that's done making a deb manifest is very easy.
(0000199)
Nico (manager)
2015-04-04 14:12

If you like to, feel free!
This would really help us for the next release :)
(0000200)
jekader (reporter)
2015-04-04 14:23
edited on: 2015-04-04 14:24

I will try. Looking at the build script in [1] it really looks like ideally we should port the utility from OpenWRT's "libnl-tiny" to debian's full "libnl" Netlink Suite.

By the way, are the kernel sources/headers available in babanian's repo? I would prefer having proper kernel headers to build swconfig instead of cloning the whole OpenWRT repo just to grab a header file from it.

[1] https://github.com/Bananian/bananian/blob/master/scripts/build-swconfig.sh [^]

(0000202)
jekader (reporter)
2015-04-04 16:42
edited on: 2015-04-04 16:43

I started to look into this and so far it looks like it's fairly painless to use libnl-3.

I want by the same approach you did by cloning the upstream repo and removing UCI-related stuff.

Then I just did two things:
1) install the libs:
apt-get install libnl-genl-3-dev libnl-3-dev
2) reference them in the Makefile
-CFLAGS = -O2 -g -I ../src
+CFLAGS = -O2 -g -I /usr/include/libnl3/
-LIBS=-lnl -lnl-genl
+LIBS=-lnl-3 -lnl-genl-3

after this the binary builds with debian's libraries:

jekader@bpi:~/openwrt/package/network/config/swconfig/src$ make
cc -O2 -g -I /usr/include/libnl3/ -c -o cli.o cli.c
cc -O2 -g -I /usr/include/libnl3/ -c -o swlib.o swlib.c
cc  -o swconfig cli.o swlib.o -lnl-3 -lnl-genl-3
jekader@bpi:~/openwrt/package/network/config/swconfig/src$ ./swconfig 
swconfig list
swconfig dev <dev> [port <port>|vlan <vlan>] (help|set <key> <value>|get <key>|load <config>|show)


Need to test the result a bit and then I'll be off to packaging

(0000203)
jekader (reporter)
2015-04-04 22:00
edited on: 2015-04-04 22:01

Packaged the binary:
https://github.com/jekader/swconfig [^]

The repo is basically a clone of openwrt's repo so it's a bit huge. However I wanted to preserve change history so this is the price for it.

Testers are welcome :) Hopefully the README is clear enough.

(0000263)
Nico (manager)
2015-08-08 14:50

Thank you jekader!

- Issue History
Date Modified Username Field Change
2015-03-28 17:33 jekader New Issue
2015-04-01 10:18 Nico Target Version => 15.04
2015-04-01 10:18 Nico Assigned To => Nico
2015-04-01 10:18 Nico Status new => assigned
2015-04-04 13:44 Nico Target Version 15.04 => 16.04
2015-04-04 13:45 Nico Note Added: 0000192
2015-04-04 14:10 jekader Note Added: 0000198
2015-04-04 14:12 Nico Note Added: 0000199
2015-04-04 14:23 jekader Note Added: 0000200
2015-04-04 14:24 jekader Note Edited: 0000200 View Revisions
2015-04-04 14:40 Nico Relationship added related to 0000012
2015-04-04 16:42 jekader Note Added: 0000202
2015-04-04 16:43 jekader Note Edited: 0000202 View Revisions
2015-04-04 22:00 jekader Note Added: 0000203
2015-04-04 22:01 jekader Note Edited: 0000203 View Revisions
2015-04-04 22:01 jekader Note Edited: 0000203 View Revisions
2015-04-10 14:17 Nico Relationship added related to 0000124
2015-08-08 13:41 Nico Target Version 16.04 => 15.08
2015-08-08 14:50 Nico Note Added: 0000263
2015-08-08 14:50 Nico Status assigned => resolved
2015-08-08 14:50 Nico Fixed in Version => 15.08
2015-08-08 14:50 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker